org.apache.ignite.stream.kafka.connect

## Class IgniteSourceConnector

- java.lang.Object
- - org.apache.kafka.connect.connector.Connector
  - - org.apache.kafka.connect.source.SourceConnector
    - - org.apache.ignite.stream.kafka.connect.IgniteSourceConnector

- All Implemented Interfaces:
    org.apache.kafka.connect.components.Versioned

      public class IgniteSourceConnector
      extends org.apache.kafka.connect.source.SourceConnector

  Source connector to manage source tasks that listens to registered Ignite grid events and forward them to Kafka. Note that only cache events are enabled for streaming.

- - ### Field Summary

    - ### Fields inherited from class org.apache.kafka.connect.connector.Connector

      `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteSourceConnector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.kafka.common.config.ConfigDef` | `config()`
    `void` | `start(Map<String,String> props)`
    `void` | `stop()`
    `Class<? extends org.apache.kafka.connect.connector.Task>` | `taskClass()`
    `List<Map<String,String>>` | `taskConfigs(int maxTasks)`
    `String` | `version()`

    - ### Methods inherited from class org.apache.kafka.connect.connector.Connector

      `initialize, initialize, reconfigure, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteSourceConnector

          public IgniteSourceConnector()

  - ### Method Detail

    - #### version

          public String version()

    - #### start

          public void start(Map<String,String> props)

      Specified by:
        `start` in class `org.apache.kafka.connect.connector.Connector`

    - #### taskClass

          public Class<? extends org.apache.kafka.connect.connector.Task> taskClass()

      Specified by:
        `taskClass` in class `org.apache.kafka.connect.connector.Connector`

    - #### taskConfigs

          public List<Map<String,String>> taskConfigs(int maxTasks)

      Specified by:
        `taskConfigs` in class `org.apache.kafka.connect.connector.Connector`

    - #### stop

          public void stop()

      Specified by:
        `stop` in class `org.apache.kafka.connect.connector.Connector`

    - #### config

          public org.apache.kafka.common.config.ConfigDef config()

      Specified by:
        `config` in class `org.apache.kafka.connect.connector.Connector`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020